/* ===========================================================================
    Main file for the Google Map Display library for importing into other projects.
=========================================================================== */

// Import the class helpers
import { icon, Icon } from './lib/Icon';
import { infoWindow, InfoWindow } from './lib/InfoWindow';
import { latLng, LatLng } from './lib/LatLng';
import { latLngBounds, LatLngBounds } from './lib/LatLngBounds';
import { loader, Loader } from './lib/Loader';
import { map, Map } from './lib/Map';
import { marker, Marker } from './lib/Marker';
import { markerCluster, MarkerCluster } from './lib/MarkerCluster';
import { point, Point } from './lib/Point';
import { popup, Popup } from './lib/Popup';
import { size, Size } from './lib/Size';
import { svgSymbol, SvgSymbol } from './lib/SvgSymbol';
import { tooltip, Tooltip } from './lib/Tooltip';

export default {
    icon,
    Icon,
    infoWindow,
    InfoWindow,
    latLng,
    LatLng,
    latLngBounds,
    LatLngBounds,
    loader,
    Loader,
    map,
    Map,
    marker,
    Marker,
    markerCluster,
    MarkerCluster,
    point,
    Point,
    popup,
    Popup,
    size,
    Size,
    svgSymbol,
    SvgSymbol,
    tooltip,
    Tooltip,
};
